Debian Bug report logs - #378976
logcheck-database: ignore.d.paranoid/postfix does not match message-id

version graph

Package: logcheck-database; Maintainer for logcheck-database is Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>; Source for logcheck-database is src:logcheck.

Reported by: Paul Aurich <paul+debian@aurich.com>

Date: Thu, 20 Jul 2006 07:48:01 UTC

Severity: normal

Found in version logcheck/1.2.47

Fixed in version logcheck/1.2.48

Done: madduck@debian.org (martin f. krafft)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>:
Bug#378976; Package logcheck-database. Full text and rfc822 format available.

Acknowledgement sent to Paul Aurich <paul+debian@aurich.com>:
New Bug report received and forwarded. Copy sent to Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Aurich <paul+debian@aurich.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: logcheck-database: ignore.d.paranoid/postfix does not match message-id
Date: Thu, 20 Jul 2006 00:43:39 -0700
Package: logcheck-database
Version: 1.2.47
Severity: normal

The postfix lines (below) in ignore.d.paranoid fail to match in 1.2.47. The changes seem to make it work for me.

-^\w{3} [ :0-9]{11} [._[:alnum:]-]+ postfix/cleanup\[[0-9]+\]: [[:alnum:]]+: (resent-|)message-id=<[[:alnum:].]+@[-_.[:alnum:]]>$
+^\w{3} [ :0-9]{11} [._[:alnum:]-]+ postfix/cleanup\[[0-9]+\]: [[:alnum:]]+: (resent-|)message-id=<[[:alnum:].]+@[-_.[:alnum:]]+>$

and

-^\w{3} [ :0-9]{11} [._[:alnum:]-]+ postfix\[[0-9]+\]: message-id=<[[:alnum:].]+@[-_.[:alnum:]]>$
+^\w{3} [ :0-9]{11} [._[:alnum:]-]+ postfix\[[0-9]+\]: message-id=<[[:alnum:].]+@[-_.[:alnum:]]+>$

-- debconf information:
  logcheck-database/conffile-cleanup: false
  logcheck-database/rules-directories-note:
  logcheck-database/standard-rename-note:

-------------------------------------------------------------
This message has been scanned by Postini anti-virus software.




Tags added: pending Request was from maximilian attems <maks@sternwelten.at> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul Aurich <paul+debian@aurich.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 378976-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 378976-close@bugs.debian.org
Subject: Bug#378976: fixed in logcheck 1.2.48
Date: Tue, 17 Oct 2006 01:02:12 -0700
Source: logcheck
Source-Version: 1.2.48

We believe that the bug you reported is fixed in the latest version of
logcheck, which is due to be installed in the Debian FTP archive:

logcheck-database_1.2.48_all.deb
  to pool/main/l/logcheck/logcheck-database_1.2.48_all.deb
logcheck_1.2.48.dsc
  to pool/main/l/logcheck/logcheck_1.2.48.dsc
logcheck_1.2.48.tar.gz
  to pool/main/l/logcheck/logcheck_1.2.48.tar.gz
logcheck_1.2.48_all.deb
  to pool/main/l/logcheck/logcheck_1.2.48_all.deb
logtail_1.2.48_all.deb
  to pool/main/l/logcheck/logtail_1.2.48_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 378976@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated logcheck package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  8 Oct 2006 17:15:43 +0200
Source: logcheck
Binary: logcheck logtail logcheck-database
Architecture: source all
Version: 1.2.48
Distribution: unstable
Urgency: low
Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 logcheck   - mails anomalies in the system logfiles to the administrator
 logcheck-database - database of system log rules for the use of log checkers
 logtail    - Print log file lines that have not been read
Closes: 355701 359787 372286 377139 377605 377618 377874 378976 379131 379215 381983 383243 386768 388924
Changes: 
 logcheck (1.2.48) unstable; urgency=low
 .
   [ maximilian attems ]
   * ignore.d.server/postfix: Fix cleanup rule and remove duplicate.
     Thanks Paul Aurich <paul+debian@aurich.com> (closes: 378976)
   * Updated debconf translations:
     - fr.po thanks Michel Grentzinger <mic.grentz@online.fr> (closes: 379215)
     - nl.po thanks Frans Pop <elendil@planet.nl> (closes: 377605)
     - it.po thanks Luca Monducci <luca.mo@tiscali.it> (closes: 377874)
   * violations.ignore.d/logcheck-ssh, violations.ignore.d/logcheck-postfix:
     Move to postfix rules to the later. (closes: 377139)
   * ignore.d.server/courier: Ignore authdaemon ldap reconnections.
     Thanks Tilman Koschnick <til@subnetz.org> for the patch (closes: 372286).
   * ignore.d.server/sa-exim: Add 2 rules for sa-exim. Thanks
     Ross Boylan <ross@biostat.ucsf.edu> (closes: 359787).
   * ignore.d.workstation/kernel: Add more rules for swsusp.
   * ignore.d.workstation/kernel: Ignore loop module loading.
   * Add catalan debconf translation (closes: 379131)
     - Thanks for ca.po to Jordà Polo <jorda@ettin.org>
   * ignore.d.workstation/kernel: Ignore oprofile loading.
   * ignore.d.workstation/kernel: Ignore removable device plugging.
   * ignore.d.server/dhclient: Ignore recorded leas output and bound renewal.
   * violations.ignore.d/logcheck-login: Ignore successful root logins on tty's.
   * ignore.d.workstation/ifplugd: Ignore link beat loose.
   * ignore.d.workstation/kernel: detto.
   * debian/logcheck-database.postinst: Make logcheck-database piuparts clean,
     on upgrade. Remove moved configfiles if they are unchanged.
     Thanks Lars Wirzenius <liw@iki.fi> for report (closes: #355701).
   * Remove old useless logcheck/changes low priority debconf template.
   * Remove logcheck/install-note as logcheck.conf is self explantory.
     (closes: 377618) Thanks Thomas Huriaux <thomas.huriaux@gmail.com>.
   * Move logcheck/changes retroactively to logcheck.News. Thus cleanup
     logcheck.control, no debconf left (closes: #388924).
   * logcheck-database.config fix bashism.
 .
   [ martin f. krafft ]
   * moved po-debconf build-dep to arch-dependent list due to clean target.
   * removed logcheck debconf files, only logcheck-database has debconf.
   * ignore.d.server/pdns: ignore failure to get SOA serial from supermasters
     that send wrong notifies.
   * ignore.d.server/cron-apt: fixed several rules for corner cases.
   * ignore.d.server/postfix: added rule for server greeting timeout.
   * ignore.d.server/postfix: also add msgid status messages by cleanup daemon.
   * ignore.d.server/proftpd: fixed rule to ignore unknown user logins.
   * ignore.d.server/spamd: fixed rule for config location message.
   * ignore.d.server/ssh: duplicate possible breakin messages from
     violations.ignore.d.
   * ignore.d.server/ssh: duplicate invalid user messages from
     violations.ignore.d, and also cater for zero-length usernames.
   * ignore.d.server/smartd, violations.ignore.d/logcheck-smartd: revert to
     reporting drastic changes in attributes.
   * ignore.d.server/smartd, violations.ignore.d/logcheck-smartd: now works
     with almost arbitrary disk names.
   * ignore.d.server/kernel: partially undo link status message filter, now
     only filters up messages, not the down ones. By nature of the link status,
     the messages will come in pairs or not at all anyway.
   * ignore.d.server/dovecot: ignoring inactivity logouts.
   * ignore.d.server/pdns: ignoring message about new superslave zones.
   * ignore.d.server/spamd: correcting typo in SIGCHLD cleanup rule.
   * ignore.d.server/ssh: ignoring ssh_msg_recv failure messages.
   * ignore.d.server/pdns: ignore messages about not being authoritative for
     just about anything.
   * ignore.d.server/cron-apt: fixed rule to properly treat lines with packages
     whose names have dots (closes: #381983).
   * Do not remove the logcheck user on purge as it may still own files
     (closes: #383243).
   * Updated nl debconf translation, thanks to Frans Pop (closes: #386768).
   * Added patches by Elmar Hoffman to ignore power on time usage attribute and
     messages about self-tests.
Files: 
 68491a5e081da4a7dad219824667d421 753 admin optional logcheck_1.2.48.dsc
 18154697cf5c925ab9bfc31321b147ba 120619 admin optional logcheck_1.2.48.tar.gz
 807c525fc2cb87bf0e6cca5709fdff26 53688 admin optional logcheck_1.2.48_all.deb
 6d406dd6ef6aa5344723d8180e0f4b8e 76216 admin optional logcheck-database_1.2.48_all.deb
 ff68a4c38a0d09227c1fd651ec27d9ba 36504 admin optional logtail_1.2.48_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFNIqQIgvIgzMMSnURAiqfAJ9xOP2RoDyWENPECakEwXawEeisXgCfWzN5
tAU23V6bShkv17ac5Ebg/OQ=
=5m/x
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 14:52:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:52:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.